        !COMPILER-GENERATED INTERFACE MODULE: Tue Mar 14 11:01:29 2017
        MODULE DOUBLELAYER_mod
          INTERFACE 
            SUBROUTINE DOUBLELAYER(IMX1,FAVE,TEMPFSH,TEMPFSRHO,DT0,GINDX&
     &,EROINDX,U)
            INTEGER(KIND=4) :: IMX1
            REAL(KIND=8) :: FAVE(IMX1)
            REAL(KIND=8) :: TEMPFSH(IMX1)
            REAL(KIND=8) :: TEMPFSRHO(IMX1)
            REAL(KIND=8) :: DT0
            INTEGER(KIND=4) :: GINDX(IMX1)
            INTEGER(KIND=4) :: EROINDX(IMX1)
            INTEGER(KIND=4) :: U(25)
          END SUBROUTINE DOUBLELAYER
        END INTERFACE 
      END MODULE DOUBLELAYER_mod
